Qwt User's Guide 6.1.6

Public Member Functions | List of all members
QwtPickerDragPointMachine Class Reference

A state machine for point selections. More...

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerDragPointMachine:
[legend]

## Public Member Functions
| QwtPickerDragPointMachine ()
| Constructor.
virtual QList< Command > | transition (const QwtEventPattern &, const QEvent *)
| Transition.
Public Member Functions inherited from QwtPickerMachine
| QwtPickerMachine (SelectionType)
| Constructor.
virtual | ~QwtPickerMachine ()
| Destructor.
void | reset ()
| Set the current state to 0.
int | state () const
| Return the current state.
void | setState (int)
| Change the current state.
SelectionType | selectionType () const
| Return the selection type.

## Additional Inherited Members
Public Types inherited from QwtPickerMachine
enum | SelectionType { NoSelection = -1, PointSelection, RectSelection, PolygonSelection }
enum | Command { Begin, Append, Move, Remove, End }
| Commands - the output of a state machine.

## Detailed Description

A state machine for point selections.

Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 starts the selection, releasing QwtEventPattern::MouseSelect1 or a second press of QwtEventPattern::KeySelect1 terminates it.